Subject: Re: bug#55006: First time boot hangs after "watchdog hardware is disabled"

From: crodges <[email-masked]>
Date: Tue, 19 Apr 2022 09:40:20 -0700

On Tuesday, April 19, 2022 1:50:47 A.M. PDT pelzflorian (Florian Pelz) wrote:
> On Mon, Apr 18, 2022 at 10:32:53AM -0700, crodges wrote:
> > Hello,
> > 
> > I'm installing guix in a recent desktop that I build (little more than a
> > year). After being suggested to use latest iso on cuirass, I was able to
> > install guix. The boot then hanged looking for iwlwifi firmware; someone
> > in
> > the help list suggested me to edit boot options and blacklist iwlwifi,
> > then
> > reconfigure guix once in.
> > 
> > I did that and now booting process hangs in a new place, "Watchdog
> > hardware is disabled". I include an image of the point.
> > 
> > Thanks,
> > 
> > crodges
> 
> Could you try to edit the boot options also to
> 
> - remove the `quiet`
> 
> - possibly you may need to add `nomodeset`.
> 
> What GPU is in this machine?  On your Manjaro system, lspci or GNOME
> Settings for example would show.
> 
> There are problems at least with some AMD GPUs, but this may not be
> the issue.
> 
> (If it AMD turns out to be the issue, Denis 'GNUtoo' Carikli suggested
> to partially fix them <https://issues.guix.gnu.org/36786#9>, while I
> suggested to work around them <https://issues.guix.gnu.org/48343>.
> Manjaro would not have these issues because it uses a nonfree linux
> package.  But your bug may be something completely different.)
> 
> Regards,
> Florian
Florian, 

Removing quiet and adding nomodeset, I was able to boot for the first time!
low resolution, but I was able to edit config.scm to add 

(kernel-arguments
 '(; https://issues.guix.gnu.org/53712#12
   "modprobe.blacklist=pcspkr,snd_pcsp,iwlwifi"))

as referenced in https://issues.guix.gnu.org/53712#13

then did guix pull and sudo guix system reconfigure /etc/config.scm

Noticed that the kernel was updated to linux-libre 5.16.20. Tried to reboot 
without editing arguments in the kernel. I got to another freeze, and clearly 
it seems to be the amd gpu, as in the new attached image. Is it possible, 
considering that this gpu has free software drivers?  

The GPU is a Radeon RX 6800 XT, which manjaro lists as using open source 
drivers.